Loading...
Searching...
No Matches
Software Parameters
PCM Interface
Collaboration diagram for Software Parameters:

## Macros

#define | snd_pcm_sw_params_alloca(ptr)
| allocate an invalid snd_pcm_sw_params_t using standard alloca

## Functions

size_t | snd_pcm_sw_params_sizeof (void)
| get size of snd_pcm_sw_params_t
int | snd_pcm_sw_params_malloc (snd_pcm_sw_params_t **ptr)
| allocate an invalid snd_pcm_sw_params_t using standard malloc
void | snd_pcm_sw_params_free (snd_pcm_sw_params_t *obj)
| frees a previously allocated snd_pcm_sw_params_t
void | snd_pcm_sw_params_copy (snd_pcm_sw_params_t *dst, const snd_pcm_sw_params_t *src)
| copy one snd_pcm_sw_params_t to another
int | snd_pcm_sw_params_get_boundary (const snd_pcm_sw_params_t *params, snd_pcm_uframes_t *val)
| Get boundary for ring pointers from a software configuration container.

## Detailed Description

See the PCM (digital audio) interface page for more details.

## Macro Definition Documentation

## snd_pcm_sw_params_alloca

#define snd_pcm_sw_params_alloca | ( |  | ptr | ) |

allocate an invalid snd_pcm_sw_params_t using standard alloca

Parameters

  ptr | returned pointer

Examples
  /test/latency.c, and /test/pcm.c.

## Function Documentation

## snd_pcm_sw_params_copy()

void snd_pcm_sw_params_copy | ( | snd_pcm_sw_params_t * | dst,
|  | const snd_pcm_sw_params_t * | src )

copy one snd_pcm_sw_params_t to another

Parameters

  dst | pointer to destination
  src | pointer to source

## snd_pcm_sw_params_free()

void snd_pcm_sw_params_free | ( | snd_pcm_sw_params_t * | obj | ) |

frees a previously allocated snd_pcm_sw_params_t

Parameters

  obj | pointer to object to free

## snd_pcm_sw_params_get_boundary()

int snd_pcm_sw_params_get_boundary | ( | const snd_pcm_sw_params_t * | params,
|  | snd_pcm_uframes_t * | val )

Get boundary for ring pointers from a software configuration container.

Parameters

  params | Software configuration container
  val | Returned boundary in frames

Returns
  0 otherwise a negative error code

## snd_pcm_sw_params_malloc()

int snd_pcm_sw_params_malloc | ( | snd_pcm_sw_params_t ** | ptr | ) |

allocate an invalid snd_pcm_sw_params_t using standard malloc

Parameters

  ptr | returned pointer

Returns
  0 on success otherwise negative error code

## snd_pcm_sw_params_sizeof()

size_t snd_pcm_sw_params_sizeof | ( | void |  | ) |

get size of snd_pcm_sw_params_t

Returns
  size in bytes